stages:
  - pre-commit
  - test

include:
  # pre-commit
  - project: saltstack/pop/cicd/ci-templates
    file: /lint/pre-commit-run-all.yml

workflow:
  rules:
    - if: "$CI_MERGE_REQUEST_ID == null"

.test-suite:
  stage: test
  needs:
    - pre-commit-run-all
  before_script:
    - pip3 install nox
  script:
    - nox -f ${CI_PROJECT_DIR}/noxfile.py -e tests
  artifacts:
    when: always
    paths:
      - artifacts
    reports:
      junit: artifacts/junit-report.xml
    expire_in: 30 days
  after_script:
    - cicd/upload-code-coverage.sh

RPM:
  extends: .test-suite
  image: registry.gitlab.com/saltstack/open/cicd/containers/pkg-centos8:latest

DEB:
  extends: .test-suite
  image: registry.gitlab.com/saltstack/open/cicd/containers/pkg-debian10:latest
